import Panel from "../views/Panel";
import PanelCtrl from "../ctrls/panelCtrl";
import { ModuleTypes } from "../types/sceneTypes";
import Scene from "../views/Scene";
import SceneCtrl from "../ctrls/sceneCtrl";

export default class RuleScene extends Scene {

    get skinKey() { return 'Rule' }

    public scroller: eui.Scroller;
    public group: eui.Group;
    public rule: eui.Image;
    public closeBtn: eui.Button;

    start() {
        this.percentWidth = 100;
        this.percentHeight = 100;
    }

    initEvents() {
        this.closeBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTap_closeBtn, this);
    }

    removeEvents() {
        this.closeBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTap_closeBtn, this);
    }

    onTap_closeBtn() {
        SceneCtrl.instance.change(ModuleTypes.CALENDAR_SCENE);
    }

}